Skip to navigation

Update rule

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

profile_idstringRequiredformat: "uuid"
rule_idstringRequiredformat: "uuid"

Headers

X-Islo-Api-VersionstringRequired

Request

This endpoint expects an object.
actionenum or nullOptional
Allowed values:
auth_strategyobject or nullOptional
content_filterobject or nullOptional
host_patternstring or nullOptional1-255 characters
methodslist of strings or nullOptional
path_patternstring or nullOptional
priorityinteger or nullOptional>=0
provider_keystring or nullOptional<=64 characters
rate_limit_rpminteger or nullOptional>=1

Response

Successful Response
actionstring
host_patternstring
idstringformat: "uuid"
priorityinteger
auth_strategymap from strings to any or nullOptional
content_filtermap from strings to any or nullOptional
created_atdatetime or nullOptional
methodslist of strings or nullOptional
path_patternstring or nullOptional
provider_keystring or nullOptional
rate_limit_rpminteger or nullOptional
updated_atdatetime or nullOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error